vehicleDirtExtension = {};

function vehicleDirtExtension:loadMap()
	if string.find(g_currentMission.baseDirectory, "Fazenda_Seriema") ~= nil then
		vehicleUpdate = function(self, dt)
			if not self.setDirtColorFix then
				if self.spec_washable ~= nil then
					for _, washableNodes in pairs(self.spec_washable.washableNodes) do
						for _, node in pairs(washableNodes.nodes) do
							setShaderParameter(node, "dirtColor", 0.65, 0.18, 0.1, 1, false);
						end;
					end;
				end;
			
				self.setDirtColorFix = true;
			end;
		end;
		Vehicle.update = Utils.appendedFunction(Vehicle.update, vehicleUpdate);
	end;
end;

addModEventListener(vehicleDirtExtension);
